org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser

## Class AnnotationTypeVisitor

- java.lang.Object
- - org.objectweb.asm.ClassVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.model.parser.AnnotationTypeVisitor

    public class AnnotationTypeVisitor
    extends org.objectweb.asm.ClassVisitor

### Field Summary

### Fields inherited from class org.objectweb.asm.ClassVisitor

`api, cv`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationTypeVisitor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AnnotationType` `getAnnotationType()`
`void` `visit(int version, int access, String name, String signature, String superName, String[] interfaces)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc, boolean visible)`

### Methods inherited from class org.objectweb.asm.ClassVisitor

`getDelegate, visitAttribute, visitEnd, visitField, visitInnerClass, visitMethod, visitModule, visitNestHost, visitNestMember, visitOuterClass, visitPermittedSubclass, visitRecordComponent, visitSource, visitTypeAnnotation`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnnotationTypeVisitor

    public AnnotationTypeVisitor()

### Method Detail

#### visit

    public void visit(int version,
                      int access,
                      String name,
                      String signature,
                      String superName,
                      String[] interfaces)

Overrides:
  `visit` in class `org.objectweb.asm.ClassVisitor`

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc,
                                                               boolean visible)

Overrides:
  `visitAnnotation` in class `org.objectweb.asm.ClassVisitor`

#### getAnnotationType

    public AnnotationType getAnnotationType()